Group Needs

The Group Needs service allows you to pass in a group ID and have the list of needs associated with that group be returned.

Service Name

group_needs

Required Parameters

NameType
idinteger

Optional Parameters

None

Example Curl

Example Curl curl -u apiuser:password1 -d "“ ”https://yourchurch.ccbchurch.com/api.php?srv=group_needs&id=23"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="group_needs" name="srv"/>
      <argument value="23" name="id"/>
    </parameters>
  </request>
  <groups count="1">
    <group id="23">
      <name>**Ninja Turtle Club**</name>
      <needs count="1">
        <need id="6">
          <name>Pizza</name>
          <coordinator id="38">Needs Coordinator</coordinator>
          <description>We need pizza. Calibunga dude!!!!</description>
          <creator id="1">Larry Cucumber</creator>
          <modifier id="1">Larry Cucumber</modifier>
          <created>2012-09-20 08:51:42</created>
          <modified>2012-09-20 08:52:56</modified>
          <current_items count="0"/>
          <past_items count="1">
            <past_item>
              <past_item id="1">past_item</past_item>
              <name>Unnamed Item</name>
              <date>2012-09-21</date>
              <assigned_to>Not Assigned</assigned_to>
              <creator>Larry Cucumber</creator>
              <modifier>Larry Cucumber</modifier>
              <created>2012-09-20 08:51:42</created>
              <modified>2012-09-20 08:52:56</modified>
            </past_item>
          </past_items>
        </need>
      </needs>
    </group>
  </groups>
</ccb_api>